showcase/urls.py
from django.conf.urls import url

from . import views

app_name = 'showcase'
urlpatterns = [
    url(r'^list/$', views.PaginatedList.as_view(), name='paginated_list'),
    url(r'^form/$', views.FormExampleView.as_view(), name='form'),
]

showcase/models.py
from django.db import models


class Task(models.Model):
    name = models.CharField(max_length=128)
    done = models.BooleanField(default=False)

showcase/forms.py
from django import forms

COLOR_CHOICES = (
    ('red', 'Red'),
    ('green', 'Green'),
    ('blue', 'Blue')
)


class FormExample(forms.Form):
    text = forms.CharField()
    email = forms.EmailField()
    number = forms.CharField(widget=forms.NumberInput())
    url = forms.CharField(widget=forms.URLInput())
    password = forms.CharField(widget=forms.PasswordInput())
    select = forms.ChoiceField(choices=COLOR_CHOICES)
    multi_select = forms.MultipleChoiceField(choices=COLOR_CHOICES)
    textarea = forms.CharField(widget=forms.Textarea())
    checkbox = forms.BooleanField()
    checkboxes = forms.MultipleChoiceField(
        choices=COLOR_CHOICES,
        widget=forms.CheckboxSelectMultiple()
    )
    radios = forms.ChoiceField(
        choices=COLOR_CHOICES,
        widget=forms.RadioSelect()
    )
    file = forms.FileField(required=True)

showcase/views.py
from django.views.generic import ListView, FormView

from .forms import FormExample
from .models import Task


class PaginatedList(ListView):
    template_name = 'showcase/paginated_list.html'
    model = Task
    paginate_by = 20


class FormExampleView(FormView):
    template_name = 'showcase/form.html'
    form_class = FormExample

showcase/templates/showcase/form.html
{% extends 'base.html' %}
{% load bulma_tags %}

{% block content %}
  <form method="post" enctype="multipart/form-data" action="{% url 'showcase:form' %}" novalidate>
    {% csrf_token %}
    {{ form|bulma }}
    <button class="button is-primary">Submit</button>
  </form>
{% endblock %}

showcase/templates/showcase/paginated_list.html
{% extends 'base.html' %}

{% block content %}
  <table class="table">
    <thead>
      <tr>
        <td>Task</td>
        <td>Done?</td>
      </tr>
    </thead>
    <tbody>
      {% for task in object_list %}
        <tr>
          <td>{{ task.name }}</td>
          <td>
            <span class="icon">
              <i class="fas fa-{% if task.done %}check{% else %}times{% endif %}"></i>
            </span>
        </tr>
      {% endfor %}
    </tbody>
  </table>
  {% include 'pagination.html' %}
{% endblock %}